MyGUI: delegates::CMultiDelegateMYGUI_SUFFIX Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions
delegates::CMultiDelegateMYGUI_SUFFIX Class Reference

`#include <MyGUI_DelegateImplement.h>`

## Public Types
typedef IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS | IDelegate
typedef MYGUI_TYPENAME std::list< IDelegate * > | ListDelegate
typedef MYGUI_TYPENAME ListDelegate::iterator | ListDelegateIterator
typedef MYGUI_TYPENAME ListDelegate::const_iterator | ConstListDelegateIterator

## Public Member Functions
| CMultiDelegateMYGUI_SUFFIX ()
| ~ CMultiDelegateMYGUI_SUFFIX ()
bool | empty () const
void | clear ()
void | clear (IDelegateUnlink *_unlink)
CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | operator+= (IDelegate *_delegate)
CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | operator-= (IDelegate *_delegate)
void | operator() (MYGUI_PARAMS)
| CMultiDelegateMYGUI_SUFFIX (const CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS &_event)
CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | operator= (const CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS &_event)
CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | operator= (IDelegate *_delegate)

## Detailed Description

Definition at line 202 of file MyGUI_DelegateImplement.h.

## Member Typedef Documentation

## ◆ ConstListDelegateIterator

typedef MYGUI_TYPENAME ListDelegate::const_iterator delegates::CMultiDelegateMYGUI_SUFFIX::ConstListDelegateIterator

Definition at line 208 of file MyGUI_DelegateImplement.h.

## ◆ IDelegate

typedef IDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS delegates::CMultiDelegateMYGUI_SUFFIX::IDelegate

Definition at line 205 of file MyGUI_DelegateImplement.h.

## ◆ ListDelegate

typedef MYGUI_TYPENAME std::list<IDelegate* > delegates::CMultiDelegateMYGUI_SUFFIX::ListDelegate

Definition at line 206 of file MyGUI_DelegateImplement.h.

## ◆ ListDelegateIterator

typedef MYGUI_TYPENAME ListDelegate::iterator delegates::CMultiDelegateMYGUI_SUFFIX::ListDelegateIterator

Definition at line 207 of file MyGUI_DelegateImplement.h.

## Constructor & Destructor Documentation

## ◆ CMultiDelegateMYGUI_SUFFIX() [1/2]

delegates::CMultiDelegateMYGUI_SUFFIX::CMultiDelegateMYGUI_SUFFIX | ( |  | ) |
| inline

Definition at line 210 of file MyGUI_DelegateImplement.h.

## ◆ ~ CMultiDelegateMYGUI_SUFFIX()

delegates::CMultiDelegateMYGUI_SUFFIX::~ CMultiDelegateMYGUI_SUFFIX | ( |  | ) |
| inline

Definition at line 211 of file MyGUI_DelegateImplement.h.

## ◆ CMultiDelegateMYGUI_SUFFIX() [2/2]

delegates::CMultiDelegateMYGUI_SUFFIX::CMultiDelegateMYGUI_SUFFIX | ( | const CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | _event | ) |
| inline

Definition at line 295 of file MyGUI_DelegateImplement.h.

## Member Function Documentation

## ◆ clear() [1/2]

void delegates::CMultiDelegateMYGUI_SUFFIX::clear | ( |  | ) |
| inline

Definition at line 225 of file MyGUI_DelegateImplement.h.

## ◆ clear() [2/2]

void delegates::CMultiDelegateMYGUI_SUFFIX::clear | ( | IDelegateUnlink * | _unlink | ) |
| inline

Definition at line 237 of file MyGUI_DelegateImplement.h.

## ◆ empty()

bool delegates::CMultiDelegateMYGUI_SUFFIX::empty | ( |  | ) | const
| inline

Definition at line 216 of file MyGUI_DelegateImplement.h.

## ◆ operator()()

void delegates::CMultiDelegateMYGUI_SUFFIX::operator() | ( | MYGUI_PARAMS |  | ) |
| inline

Definition at line 278 of file MyGUI_DelegateImplement.h.

## ◆ operator+=()

CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS& delegates::CMultiDelegateMYGUI_SUFFIX::operator+= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 249 of file MyGUI_DelegateImplement.h.

## ◆ operator-=()

CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS& delegates::CMultiDelegateMYGUI_SUFFIX::operator-= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 262 of file MyGUI_DelegateImplement.h.

## ◆ operator=() [1/2]

CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS& delegates::CMultiDelegateMYGUI_SUFFIX::operator= | ( | const CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS & | _event | ) |
| inline

Definition at line 306 of file MyGUI_DelegateImplement.h.

## ◆ operator=() [2/2]

CMultiDelegateMYGUI_SUFFIX MYGUI_TEMPLATE_ARGS& delegates::CMultiDelegateMYGUI_SUFFIX::operator= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 320 of file MyGUI_DelegateImplement.h.

The documentation for this class was generated from the following file:

- MyGUI_DelegateImplement.h